package com.its.vms.dto;

import com.its.vms.entity.TbVmsFontName;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 *  DTO Class
 */
@Data
@Builder
public class TbVmsFontNameDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer vmsFontNameCd;
    private String vmsFontNameNm;
    private String useYn;

    public TbVmsFontName toEntity() {
        return TbVmsFontName.builder()
                .vmsFontNameCd(this.vmsFontNameCd)
                .vmsFontNameNm(this.vmsFontNameNm)
                .useYn(this.useYn)
                .build();
    }

}
